# GLVolumeItem

class pyqtgraph.opengl.GLVolumeItem(data, sliceDensity=1, smooth=True, glOptions='translucent', parentItem=None)

  Bases: `GLGraphicsItem`

  Displays volumetric data.

  __init__(data, sliceDensity=1, smooth=True, glOptions='translucent', parentItem=None)

    Arguments: |
    data | Volume data to be rendered. Must be 4D numpy array (x, y, z, RGBA) with dtype=ubyte.
    sliceDensity | Density of slices to render through the volume. A value of 1 means one slice per voxel.
    smooth | (bool) If True, the volume slices are rendered with linear interpolation

previous

GLSurfacePlotItem

next

GLImageItem